#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.12
visibility:           public
id:                   foldl-1.4.12-9fkInglXeTN4Yk2EpIIDbc
key:                  foldl-1.4.12-9fkInglXeTN4Yk2EpIIDbc
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  bcd20c0cba55b7b4f7492d668d22954c
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.12-9fkInglXeTN4Yk2EpIIDbc
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-1UV6j1oVRx49AwFFLVzzvh containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.0.0-Ad25gOPS1LBBwFTwmctznB
    primitive-0.7.3.0-8OGcgOY0vHCJaje3xtWYyl
    profunctors-5.6.2-JxFhlDyh97VHS9KOg8R2VY
    random-1.2.1-1Hz8B867VBj7K7atSeCZU3
    semigroupoids-5.3.7-LNx6FZQ6yl1Ls9mIgv9Bbs text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.18.0-HgeMTnP7CmhGWtqS52RLit
    vector-0.12.3.1-6ArAehJI8jX1p1vyTVOQhO

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

